<?php
/**
 *
 * @author  ahrasis	http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		Indent BBC
 *
 */

if (!defined('ELK'))
	die('Hacking attempt...');

function IndentBBC(&$codes)
{
	// Add bbc code(s)
	$codes[] = array(
			'tag' => 'indent',
			'before' => '<div style="margin: 0 3%;">',
			'after' => '</div>',
			'block_level' => true
	);
	$codes[] = array(
			'tag' => 'left-indent',
			'before' => '<div style="margin-left: 3%;">',
			'after' => '</div>',
			'block_level' => true
	);
	$codes[] = array(
			'tag' => 'right-indent',
			'before' => '<div style="margin-right: 3%;">',
			'after' => '</div>',
			'block_level' => true
	);
}

function IndentBBC_Buttons(&$bbc_tags)
{
	global $txt, $context;
	
	// Load language(s)
	loadLanguage('IndentBBC');

	// Add bbc button(s)
	$context['bbc_tags'][] = array(
		array(
			'image' => 'IndentFullBBC',
			'code' => 'indent',
			'before' => '[indent]',
			'after' => '[/indent]',
			'description' => $txt['indent']
		),
		array(
			'image' => 'IndentLeftBBC',
			'code' => 'left-indent',
			'before' => '[left-indent]',
			'after' => '[/left-indent]',
			'description' => $txt['left-indent']
		),
		array(
			'image' => 'IndentRightBBC',
			'code' => 'right-indent',
			'before' => '[right-indent]',
			'after' => '[/right-indent]',
			'description' => $txt['right-indent']
		),
	);
}

?>